libgfortran-4.4.7-23.el6.i686.rpm


Advertisement

Description

libgfortran - Fortran runtime

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename libgfortran-4.4.7-23.el6.i686.rpm
Package name libgfortran
Package version 4.4.7
Package release 23.el6
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://gcc.gnu.org
License GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions
Maintainer -
Download size 246.30 KB
Installed size 852.02 KB
This package contains Fortran shared library which is needed to run
Fortran dynamically linked programs.

Alternatives

Package Version Architecture Repository
libgfortran-4.4.7-23.el6.x86_64.rpm 4.4.7 x86_64 CentOS
libgfortran-4.4.7-23.el6.i686.rpm 4.4.7 i686 CentOS
libgfortran - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.4) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.2) -
rtld(GNU_HASH) -

Provides

Name Value
libgfortran = 4.4.7-23.el6
libgfortran = 4.4.4-15.el6
libgfortran(x86-32) = 4.4.7-23.el6
libgfortran.so.3 -
libgfortran.so.3(F2C_1.0) -
libgfortran.so.3(GFORTRAN_1.0) -
libgfortran.so.3(GFORTRAN_1.1) -
libgfortran.so.3(GFORTRAN_1.2) -
libgfortran.so.3(GFORTRAN_C99_1.0) -

Download

Type URL
Mirror mirror.centos.org
Binary Package libgfortran-4.4.7-23.el6.i686.rpm
Source Package gcc-4.4.7-23.el6.src.rpm

Install Howto

Install libgfortran rpm package:

# yum install libgfortran

Files

Path
/usr/lib/libgfortran.so.3
/usr/lib/libgfortran.so.3.0.0

Changelog

2018-04-12 - Jeff Law <law@redhat.com> 4.4.7-23
- Avoid emitting CFI magic for thunks when -fno-dwarf2-cfi-asm
2018-03-24 - Jeff Law <law@redhat.com> 4.4.7-22
- Spectre mitigations patch for s390x (#1553817)
2018-01-31 - Jeff Law <law@redhat.com> 4.4.7-21
- Fix indirect_jump/tablejump patterns for retpolines (#1535656)
2018-01-23 - Jeff Law <law@redhat.com> 4.4.7-20
- Retpoline support (#1535656)
2017-12-07 - Marek Polacek <polacek@redhat.com> 4.4.7-19
- fix distribute_notes (#1402484)
- always use _Unwind_GetIPInfo in unwind-c.c (#1104812)
2016-10-18 - Jakub Jelinek <jakub@redhat.com> 4.4.7-18
- fix up std::rethrow_exception (PR libstdc++/62258, #1380760)
- fix fortran ICE in resolve_ordinary_assign (PR fortran/43362, #1356346)
2015-12-15 - Jakub Jelinek <jakub@redhat.com> 4.4.7-17
- change libgomp default spincount if OMP_WAIT_POLICY is not specified
(#1229852, PR libgomp/43706)
- remove -Wl,-z,nodlopen from Ada libraries, which no longer contain
trampolines (#1241495)
- guard __gcov_flush body in libgcov.a with a mutex (#1251488,
PR gcov/49484, PR gcov-profile/52627)
- add missing s390.exp hunk from -mhotpatch= support (#1233260)
2015-06-01 - Jakub Jelinek <jakub@redhat.com> 4.4.7-16
- update -mhotpatch= support for s390{,x} (#1148120, PR target/66215)
2015-03-26 - Jakub Jelinek <jakub@redhat.com> 4.4.7-15
- update -mhotpatch= support for s390{,x} (#1148120)
2015-02-27 - Jakub Jelinek <jakub@redhat.com> 4.4.7-14
- add -mhotpatch= support for s390{,x} (#1148120)

See Also

Package Description
libgfortran4-7.2.1-1.2.1.el6.i686.rpm Fortran runtime
libgfortran4-7.2.1-1.2.1.el6.x86_64.rpm Fortran runtime
libglade2-2.6.4-3.1.el6.i686.rpm The libglade library for loading user interfaces
libglade2-2.6.4-3.1.el6.x86_64.rpm The libglade library for loading user interfaces
libglade2-devel-2.6.4-3.1.el6.i686.rpm The files needed for libglade application development
libglade2-devel-2.6.4-3.1.el6.x86_64.rpm The files needed for libglade application development
libglademm24-2.6.7-3.1.el6.i686.rpm C++ wrapper for libglade
libglademm24-2.6.7-3.1.el6.x86_64.rpm C++ wrapper for libglade
libglademm24-devel-2.6.7-3.1.el6.i686.rpm Headers for developing programs that will use libglademm
libglademm24-devel-2.6.7-3.1.el6.x86_64.rpm Headers for developing programs that will use libglademm
libgnat-4.4.7-23.el6.i686.rpm GNU Ada 95 runtime shared libraries
libgnat-4.4.7-23.el6.x86_64.rpm GNU Ada 95 runtime shared libraries
libgnat-devel-4.4.7-23.el6.i686.rpm GNU Ada 95 libraries
libgnat-devel-4.4.7-23.el6.x86_64.rpm GNU Ada 95 libraries
libgnome-2.28.0-11.el6.i686.rpm GNOME base library
Advertisement
Advertisement